## pyasuswrt 0.1.21

=== requirements.txt ===
# Actions requirements
aiohttp>=3.7.4
pre-commit==3.0.0
flake8==6.0.0
isort==5.12.0
black==23.1.0

=== debian/changelog ===
pyasuswrt (0.1.21-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 17 Nov 2024 14:27:56 +0100

pyasuswrt (0.1.21-1) unstable; urgency=medium

  * Initial release. (Closes: #1087619)

 -- Edward Betts <edward@4angle.com>  Sat, 16 Nov 2024 12:02:08 +0100

=== debian/control ===
Source: pyasuswrt
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/ollo69/pyasuswrt
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyasuswrt
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyasuswrt.git

Package: python3-pyasuswrt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: API wrapper for communication with ASUSWRT-powered routers
 This library provides an API wrapper to enable communication with routers
 running ASUSWRT firmware using HTTP or HTTPS protocols. It is specifically
 designed for interacting with the ASUS router firmware ecosystem and aids in
 integrating router functionalities, such as presence detection and performance
 monitoring, through a network interface. The library supports obtaining data
 like connected device statistics and traffic metrics, helping manage network
 configurations and statuses efficiently. Users can access features like sensor
 monitoring for data throughput, load averages, and temperature readings,
 directly interfacing with the ASUS router.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyasuswrt
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyasuswrt.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyasuswrt-$1\.tar\.gz/ \
  https://github.com/ollo69/pyasuswrt/tags .*/v?(\d\S+)\.tar\.gz
